---
title: GitLab Open Source Program
description: "GitLab wants to give back to the open source community by helping teams be more efficient, secure, and productive. Learn more here!"
canonical_path: "/solutions/open-source/join/"
suppress_header: true
extra_css:
  - open-source.css
---

<div class="blank-header">
  <img class='image-border image-border-left' src='/images/home/icons-pattern-left.svg' />
  <img class='image-border image-border-right' src='/images/home/icons-pattern-right.svg' />
  <div class="header-content">
    <img src="/images/icons/explore-open-source.svg" alt="GitLab for open source svg">
    <h1>Join the GitLab for Open Source Program</h1>
    <p>Our top tiers, and 50,000 CI minutes, are free for Open Source projects</p>
  </div>
</div>

<div class="gitlab-content-container">
  <div class="flex-container flex-column-md">
    <div class="program-content">
      <p>GitLab exists today in large part thanks to the work of hundreds of thousands of open source contributors around the world. To give back to this community, the <a href="https://about.gitlab.com/solutions/open-source/" target="_blank">GitLab for Open Source program</a> was created to help open source teams be more efficient, secure, and productive by allowing them to use GitLab's <a href="https://about.gitlab.com/pricing/" target="_blank">top tier</a></li> capabilities.</p>

<p class="alert alert-gitlab-purple">
During 2021, we are working on automation projects for this program that may cause disruptions to the application and renewal process. To help us prioritize, please let us know if your request is urgent by including "Urgent: [your request]" in the subject line of any email to opensource@gitlab.com.
</p>

      <h4>Program Requirements</h4>
      <ol>
        <li><strong>OSI-approved open source license</strong> -- All of the code you host in this GitLab group must be published under <a href="https://opensource.org/licenses/category" target="_blank">OSI-approved open source licenses</a></li>
        <li><strong>Not seeking profit</strong> -- Your organization must not seek to make a profit through services or by charging for higher tiers. Accepting donations to sustain your efforts is ok</li>
        <li><strong>Publicly visible</strong> -- Your GitLab.com group or self-managed instance <i>and</i> your source code must be <a href="https://docs.gitlab.com/ee/public_access/public_access.html" target="_blank">publicly visible and publicly available</a></li>
      </ol>
      <p> If you believe your project meets all program requirements, we welcome your application! 
      </p>
      <p> Note: Unfortunately, we are not able to accept all open source projects that are affiliated with the US Federal government. If you are affiliated, please let us know and we will work with you to see if your project qualifies.
      </p>
      <p>
      </p>

      <details>
        <summary><strong>Application process</strong></summary>
        <h4>Apply to the program</h4>
        <ol>
          <li>Submit the application form on the right side of this page to help us verify that you meet all program requirements. For help setting up a qualifying group or project, see the relevant FAQ below</li>
          <li>You can expect an initial response from our team within 5-10 business days. You may be asked to provide additional information</li>
        </ol>
        <h4>What to expect</h4>
            <p>If your application is accepted, we’ll work with you to grant your license. Here's how:</p>
        <ol>
          <li>Sign a quote. The balance will be zero unless you decide to add on paid support. You will be prompted to sign this electronically</li>
          <li>Accept the <a href="https://about.gitlab.com/terms/#subscription" target="_blank">Terms and Conditions</a> that will be sent to your email along with the quote</li>
          <li>Receive the license key (for self-managed) or further authentication instructions (for SaaS)</li>
        </ol>
      </details>
      <p>
      </p>
      <details>
        <summary id="renewal"><strong>Renewal process</strong></summary>
        <h4>Email a renewal request</h4>
        <p>You will need to email us annually to renew your membership.</p>
        <p>Please begin the renewal process at least one month in advance to ensure sufficient processing time. You will receive email reminders to do so and can renew as early as three months in advance of your membership's expiration.</p>
        <p>To renew, please send an email to <a href="mailto:opensource@gitlab.com" target="_blank">opensource@gitlab.com</a> with the following information (copy and paste):</p>
        <pre><code>
Subject: Renewal Request | Date of Expiration (MM/YYYY)

To help us find your account:

* Name of your organization or project
* Email associated with this account

To help us make sure you still qualify:

* Link to your publicly visible GitLab instance
* Link to one of your OSI-compliant licenses
* Written acceptance of this statement (Include this sentence in your request): 
`I confirm that my organization does not seek to make a profit from this OSS project`

To help us plan for the next year:

* Number of seats you're renewing (now is the time to add more if needed!)
* Any change of ownership to the account. 
If it needs to change, please send the new account holder's Name, email, and contact mailing address
        </code></pre>
        <p>Our program requirements may change from time to time, and we'll need to make sure that you continue to meet them year after year. If you do not qualify upon renewal, we'll work with you to make any needed transition as smooth as possible.</p>
        <p>If you do not renew your membership for any reason, <a href="https://about.gitlab.com/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired" target="_blank">your account will be downgraded</a>.</p>

        <h4>What to expect</h4>
            <p>If your renewal request is accepted, you'll be asked to sign a zero dollar renewal quote. After that, here's what to expect for each type of renewal:</p>
        <ol>
          <li><strong>SaaS renewals</strong>. No further action is necessary after your renewal is fully processed. Your account will automatically renew.</li>
          <li><strong>Self-managed renewals</strong>. You'll need to upload your renewal license once it is issued.</li>
        </ol>
        <p>Please let us know if you have any questions about the renewal process via opensource@gitlab.com.</p>
      </details>
      <p> 
      </p>
      <details>
        <summary><strong>Additional information</strong></summary>
        <ol>
          <li>All <a href="https://docs.gitlab.com/ee/public_access/public_access.html" target="_blank">public projects</a> on GitLab.com automatically receive top tier functionality at the project level. Apply to this program if you need top tier functionality at the group level or if your open source project will need the additional CI minutes that come with this program.</li>

          <li>Free top tier accounts do not include <a href="https://about.gitlab.com/support/" target="_blank">support</a>. However, you can purchase support for 95% off, at $4.95 per user per month.</li>
          <li>The number of seats is the number of different users that will use this license during the next year. For more information, see FAQ below.</li>
          <li>Your program membership needs to be renewed annually. If you do not renew, <a href="https://about.gitlab.com/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired" target="_blank">your account will be downgraded</a>.</li>
        </ol>
      </details>
      <p>
      </p>
      <p> If you have any additional questions regarding this program, feel free to reach us at <a href="mailto:opensource@gitlab.com" target="_blank">opensource@gitlab.com</a>.
      </p>
    </div>
    <div class="form-container" id="gitlab-oss-form">
      <script src="//page.gitlab.com/js/forms2/js/forms2.min.js"></script>
      <form action="" id="mktoForm_1675"></form>
      <script>
        MktoForms2.setOptions(
        {
          formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
        });
        MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1675, function(form) {
          form.onSuccess(function() {
            form.getFormElem().hide();
            $('.confirmform').attr('style', 'visibility: visible; height: inherit;');
            return false;
          });
        });
      </script>
      <div class="confirmform" style="visibility:hidden; height: 0;">
        <h3>Submission received!</h3>
        <p>We will be intouch soon.</p>
      </div>
    </div>
  </div>

  <div class="content">
    <h2 class="text-center">Frequently Asked Questions</h2>
    <div class="faq-holder clearfix">
      <ol class="faq-container list-unstyled">
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Do I have to apply for every OSS project separately?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>The subscription is going to be for a group, so only one application will be enough. Apply with your most representative project.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Can I use this license for my non-open source projects as well?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>No. The GitLab license can be used only for the open source projects it was approved for.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Is GitLab available in my country?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>GitLab is available to people all over the world in <a href="https://translate.gitlab.com/<">many languages</a>. However, since we are a U.S.-based company, we do not offer our services in <a href="/handbook/business-ops/trade-compliance/#effect-on-customer-facing-web-pages">U.S. embargoed countries</a>.
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Why can't I submit my form?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>If you live in Ukraine, you'll need to verify that you do not live in the Crimean Penninsula, since Crimea is on the U.S. embargo list. If you list your country as "Ukraine" our form won't automatically let you submit. If you do not live in Crimea, please fill out the application form and add your full address in the "billing address" section. Provide your city in the city drop down, and choose a different country (not Ukraine) in the country drop-down. You should now be able to submit the form.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              What happens when my subscription is about to expire or has expired?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>We recommend that you renew your license at least one month in advance in case there are any delays. If your license is about to expire, <a href="/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired" target="_blank">here's what to expect</a>.</p>
            </div>
          </div>
        </li>
      </ol>
      <ol class="faq-container list-unstyled">
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              How do I create a qualifying group or project on GitLab?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
<ol> 
          <li>Sign up for a <a href="https://about.gitlab.com/pricing/" target="_blank">Free account</a> (can be hosted or self-managed), or enroll in a free trial for our top tiers</li>
          <li>Create your group and set its visibility to <a href="https://docs.gitlab.com/ee/public_access/public_access.html" target="_blank">Public</a>. If you're using a self-managed instance, make sure it is publicly accessible</li>
          <li>Add <a href="https://opensource.org/licenses" target="_blank">OSI-approved license</a> information to at least one of the projects in your group's LICENSE files</li>
        </ol>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Who gets counted in the subscription?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>Please see our <a href="/pricing/licensing-faq/#who-gets-counted-in-the-subscription">licensing and subscription FAQ</a> for the detailed explanation.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              How do I choose the correct number of seats for my project?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>A GitLab.com subscription uses a concurrent (seat) model, which refers to the maximum number of users enabled at once. Every occupied seat is counted, including the owner's, with the <a href="https://docs.gitlab.com/ee/subscriptions/gitlab_com/#choose-the-number-of-users" target="_blank">exception of members with Guest permissions</a>. You can <a href="https://docs.gitlab.com/ee/user/permissions.html#permissions" target="_blank">learn more about roles and permissions here</a>. We are happy to grant you the number of seats you think you'll need for current project members as well as additional ones to plan for growth during the year. You'll have the opportunity to request additional seats at time of renewal, or you can email us at opensource@gitlab.com to request more during the year.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              Why can't I see an application form on this page?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>Some web browsers and privacy extensions block the application form because they identify it as a pop-up. Please disable the pop-up blocker on this page, refresh the page, and check again.</p>
            </div>
          </div>
        </li>
        <li class="faq-item">
          <div class="faq-inner-item">
            <a class="faq-question js-faq-question" href="#">
              What are the benefits for projects hosted on GitLab.com?
              <i class="fa fa-angle-down pull-right"></i>
            </a>
            <div class="faq-answer">
              <p>While all public projects hosted on GitLab.com already have access to top tier features at the project level, this does not include group-level features.</p>
              <p>The GitLab for Open Source license provides the additional ability to use top tier group-level features (e.g. Epics, Roadmap). It also allows projects to have 50,000 CI minutes per month for free.</p>
            </div>
          </div>
        </li>
      </ol>
    </div>
  </div>
</div>
